Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19013

Description

Rendering of centroid fill that relies on a simple marker is broken when used to style a composer shape item. Only a tiny square renders

showing the simple marker's fill color. If you zoom out a lot, you'll eventually see the full marker if it fits within the tiny square.

Steps to reproduce:

1. Create an empty project

2. Create a composer window, and add a rectangle item to it

3. Open its symbology property window through the 'Change...' button

4. Add a Centroid Fill layer, and set its Simple Marker size to 20 (it has to be big enough otherwise you won't see it)

5. Apply the symbology

6. At this stage, you'll see the centroid marker fails to render properly. Zoom in to see its broken, and zoom out quite a lot to eventually see

the marker fit within the small rendered square (see attached screenshot)

It'd be nice to get this fixed as the use of symbology on composer shape items allow cool exotic legends.

Associated revisions

Revision 60d93b35 - 2014-06-18 08:41 AM - Nyall Dawson

[composer] Fix scaling of symbology within composer shapes and pages (fix #10609)

History

#1 - 2014-06-17 03:08 AM - Mathieu Pellerin - nIRV

- File centroid-fill-error-composer.png added

#2 - 2014-06-18 12:20 AM - Mathieu Pellerin - nIRV

Nyall mostly fixed this in commit 60d93b35cd970ea7150988cbbf47256ffbaae85a. A follow up issue to deal with one remaining issue (which is trivial) will

be filed, not crucial for QGIS 2.4.

#3 - 2014-06-18 03:36 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Files
